# In all environments, the following files are loaded if they exist,
# the latter taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices.html#use-environment-variables-for-infrastructure-configuration

###> symfony/framework-bundle ###
APP_ENV=dev
APP_SECRET=61732b12d01e8c8ca7982644b1e00eb9
#TRUSTED_PROXIES=127.0.0.0/8,10.0.0.0/8,172.16.0.0/12,192.168.0.0/16
#TRUSTED_HOSTS='^(localhost|example\.com)$'
#IDE='phpstorm://open?file=%f&line=%l&/var/www/html/cagibig-mut/>www/Cagibig/cagibig-mut/' on env.local
IDE=null
###< symfony/framework-bundle ###

###> symfony/mailer ###
# MAILER_DSN=smtp://localhost
###< symfony/mailer ###

###> doctrine/doctrine-bundle ###
# Format described at https://www.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url
# For an SQLite database, use: "sqlite:///%kernel.project_dir%/var/data.db"
# For a PostgreSQL database, use: "postgresql://db_user:db_password@127.0.0.1:5432/db_name?serverVersion=11&charset=utf8"
# IMPORTANT: You MUST configure your server version, either here or in config/packages/doctrine.yaml
#DATABASE_URL=mysql://cagibig_mut:cagibig_mut123@127.0.0.1:3306/cagibig_mut?serverVersion=mariadb-10.5.8
###< doctrine/doctrine-bundle ###

###> symfony/google-mailer ###
# Gmail SHOULD NOT be used on production, use it in development only.
MAILER_DSN=gmail://cagibig.test:accpazslbtptkdjn@gmail #local
SUPER_ADMIN_EMAIL=dev@cagibig.com
NO_REPLY_EMAIL=no-reply@cagibig.com
###< symfony/google-mailer ###



###> knplabs/knp-snappy-bundle ###
WKHTMLTOPDF_PATH=/usr/local/bin/wkhtmltopdf
WKHTMLTOIMAGE_PATH=/usr/local/bin/wkhtmltoimage
###< knplabs/knp-snappy-bundle ###

###> symfony/messenger ###
# Choose one of the transports below
# MESSENGER_TRANSPORT_DSN=doctrine://default
# MESSENGER_TRANSPORT_DSN=amqp://guest:guest@localhost:5672/%2f/messages
# MESSENGER_TRANSPORT_DSN=redis://localhost:6379/messages
###< symfony/messenger ###

###> league/oauth2-facebook ###
OAUTH_FACEBOOK_CLIENT_ID=864587107717713
OAUTH_FACEBOOK_CLIENT_SECRET=9a855262d3f2ed914e30d6f072f8d33a
###< league/oauth2-facebook ###

###> league/oauth2-google ###
OAUTH_GOOGLE_CLIENT_ID=892870320633-km24k0mcfu5u4ldpisr54da7snmspj5t.apps.googleusercontent.com
OAUTH_GOOGLE_CLIENT_SECRET=FtcXWLfvks_mALQzidtfAB0L
###< league/oauth2-google ###
